kernel

## Interface StudiedSystem

All Known Implementing Classes:
  BadContextManager, BadContextManagerCenter, CopyOfMarioManager2Regression, FTGManager, MarioManager, MarioManager, MarioManager2, MarioManager2, MarioManager2Regression, MarioManager2WithInertia, neOCampusManager, neOCampusManager, SigmoidManager, SigmoidManager, TabManager, TabManager, TabManagerMiller

    public interface StudiedSystem

Any system studied by an instance of AMOEBA must implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutput()` Gets the output.
`void` `playOneStep(double action)` When the scheduler of AMOEBA has run one cycle, playOneStep is called to allow the studied system to perform it's own cycle.
`void` `switchControlMode()` Switch control mode.

### Method Detail

#### playOneStep

    void playOneStep(double action)

When the scheduler of AMOEBA has run one cycle, playOneStep is called to allow the studied system to perform it's own cycle.

Parameters:
  `action` - : output action of AMOEBA.

#### getOutput

    java.util.HashMap<java.lang.String,java.lang.Double> getOutput()

Gets the output.

Returns:
  the output

#### switchControlMode

    void switchControlMode()

Switch control mode.